import tkinter as tk

# Crear ventana principal
root = tk.Tk()
root.geometry("600x400")  # Tamaño inicial

# Configurar la fila y columna principales para que se expandan
root.grid_rowconfigure(0, weight=1)
root.grid_columnconfigure(0, weight=1)

# Crear un frame principal y colocarlo en la ventana
main_frame = tk.Frame(root, bg="lightgray")
main_frame.grid(row=0, column=0, sticky="nsew")

# Configurar el frame para que se ajuste al tamaño de la ventana
main_frame.grid_rowconfigure(0, weight=1)
main_frame.grid_columnconfigure(0, weight=1)

# Crear widgets dentro del frame
top_frame = tk.Frame(main_frame, bg="blue")
top_frame.grid(row=0, column=0, sticky="nsew")

bottom_frame = tk.Frame(main_frame, bg="green")
bottom_frame.grid(row=1, column=0, sticky="nsew")

# Configurar tamaños responsivos en el frame principal
main_frame.grid_rowconfigure(0, weight=1)
main_frame.grid_rowconfigure(1, weight=1)
main_frame.grid_columnconfigure(0, weight=1)

# Ejecutar el bucle de la aplicación
root.mainloop()